Skip to main content
POST
Split a clip in two

Authorizations

Authorization
string
header
required

API key obtained from your Tella account settings

Path Parameters

id
string
required

Video identifier

Example:

"vid_abc123def456"

clipId
string
required

Clip identifier

Example:

"cl_xyz789ghi012"

Body

application/json

Request body for splitting a clip in two

atMs
integer
required

Where to split, in ms on the clip's playback timeline (cuts applied, the same timeline as the transcript). At least 200 ms from either end of the clip.

Required range: 0 < x <= 9007199254740991
Example:

12000

Response

OK

Response shape for splitting a clip

clips
object[]
required

The two clips in playback order: the original clip, now ending at the split, and the new clip that continues from it.